# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(DBD/SQLite.pm) perl(DBI.pm) perl(SQL/Abstract.pm) perl(Sort/Key.pm) perl(Sort/Key/Natural.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    MP3-Find
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt3_8

Summary:    File::Find-based backend to MP3::Find
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MP3/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(File/Find.pm)
BuildRequires: perl(MP3/Info.pm)
BuildRequires: perl(Scalar/Util.pm)
BuildArch: noarch
Source44: import.info

%description
This module allows you to search for MP3 files by their ID3 tags. You can
ask for the results to be sorted by one or more of those tags, and return
either the list of filenames (the deault), a 'printf'-style formatted
string for each file using its ID3 tags, or the actual Perl data structure
representing the results.

There are currently two backends to this module: the MP3::Find::Filesystem
manpage and the MP3::Find::DB manpage. You choose which one you want by
passing its name as the argument to you 'use' statement; *MP3::Find* will
look for a *MP3::Find::$BACKEND* module. If no backend name is given, it
will default to using the MP3::Find::Filesystem manpage.

*Note:* I'm still working out some kinks in the DB backend, so it is
currently not as stable as the Filesystem backend.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%perl_vendor_privlib/*
/usr/bin/mp3db
/usr/bin/mp3find
/usr/share/man/man1/mp3db.1*
/usr/share/man/man1/mp3find.1*



%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.07-alt3_8
- update by mgaimport

* Wed Jul 27 2016 Igor Vlasenko <viy@altlinux.ru> 0.07-alt3_7
- update by mgaimport

* Sun Feb 21 2016 Igor Vlasenko <viy@altlinux.ru> 0.07-alt3_6
- update by mgaimport

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.07-alt3_5
- update by mgaimport

* Tue Oct 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.07-alt3_4
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 0.07-alt3_2
- rebuild to get rid of unmets

* Fri Sep 13 2013 Cronbuild Service <cronbuild@altlinux.org> 0.07-alt2_2
- rebuild to get rid of unmets

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1_2
- mgaimport update

* Thu Jul 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1_1
- converted for ALT Linux by srpmconvert tools

